Mesh SectionByPlane/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/it |Name=Mesh_SectionByPlane |Name/it=Sezione da mesh e piano |Empty=1 |MenuLocation=Mesh → Taglio → Sezione da mesh e piano |Workbenches=Mesh_Workbench/it|...")
(Updating to match new version of source page)
 
(13 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav/it
{{Docnav/it
|[[Mesh_TrimByPlane/it|Rifila con un piano]]
|[[Mesh_TrimByPlane/it|Rifila con un piano]]
|[[Mesh_CrossSections/it|Sezioni]]
|[[Mesh_CrossSections/it|Sezioni]]
|[[Mesh_Workbench/it|Mesh]]
|[[Mesh_Workbench/it|Mesh]]
|IconL=
|IconL=Mesh_TrimByPlane.svg
|IconR=
|IconR=Mesh_CrossSections.svg
|IconC=Workbench_Mesh.svg
|IconC=Workbench_Mesh.svg
}}
}}
</div>


{{GuiCommand/it
{{GuiCommand/it
|Name=Mesh_SectionByPlane
|Name=Mesh_SectionByPlane
|Name/it=Sezione da mesh e piano
|Name/it=Sezione da mesh e piano
|Empty=1
|MenuLocation=Mesh → Taglio → Sezione da mesh e piano
|MenuLocation=Mesh → Taglio → Sezione da mesh e piano
|Workbenches=[[Mesh_Workbench/it|Mesh]]
|Workbenches=[[Mesh_Workbench/it|Mesh]]
Line 19: Line 20:
}}
}}


==Description==
<span id="Description"></span>
==Descrizione==


The '''Mesh SectionByPlane''' command creates a cross section across a mesh object. The cross section is a [[Part_Feature|Part Feature]].
Il comando '''Sezione da mesh e piano''' crea una sezione trasversale attraverso un oggetto mesh. La sezione trasversale è una [[Part_Feature/it|Part Feature]].


==Usage==
<span id="Usage"></span>
==Utilizzo==


<div class="mw-translate-fuzzy">
# Select a single mesh object and a single [[Part_Primitives|Part plane]]. The (extended) plane should intersect the mesh object.
# Selezionare un singolo oggetto mesh e un singolo [[Part_Primitives/it|piano di Part]]. Il piano (esteso) deve intersecare l'oggetto mesh.
# Select the {{MenuCommand|Meshes → Cutting → Create section from mesh and plane}} option from the menu.
# Selezionare l'opzione {{MenuCommand|Mesh → Taglio → [[Image:Mesh_SectionByPlane.svg|16px]] Sezione da mesh e piano}} dal menu.
</div>


==Properties==
<span id="Properties"></span>
== Proprietà ==


See: [[Part_Feature|Part Feature]].
Vedere: [[Part_Feature/it|Funzioni Part]].


==Scripting==


See also: [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Docnav

|[[Mesh_TrimByPlane|Mesh TrimByPlane]]
To section a mesh use its {{incode|section}} method. The method requires a second mesh object that need not be planar.
|[[Mesh_CrossSections|Mesh CrossSections]]

|[[Mesh_Workbench|Mesh]]
{{Code|code=
|IconL=
import FreeCAD as App
|IconR=
import Mesh
import Part

# Create a non-parametric box-shaped mesh:
msh = App.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = Mesh.createBox(30, 40, 50)
msh.ViewObject.DisplayMode = "Flat Lines"

# Create a planar mesh from 3 points:
p1 = App.Vector(-20, -60, 0)
p2 = App.Vector(65, 25, 0)
p3 = App.Vector(-20, 25, 0)
msh_plane = Mesh.Mesh([p1, p2, p3])

# Find the section loops (each loop is a list of points):
loops = msh.Mesh.section(msh_plane)

# Show the loop polygon:
Part.show(Part.makePolygon(loops[0]))
}}


<div class="mw-translate-fuzzy">
{{Docnav/it
|[[Mesh_TrimByPlane/it|Rifila con un piano]]
|[[Mesh_CrossSections/it|Sezioni]]
|[[Mesh_Workbench/it|Mesh]]
|IconL=Mesh_TrimByPlane.svg
|IconR=Mesh_CrossSections.svg
|IconC=Workbench_Mesh.svg
|IconC=Workbench_Mesh.svg
}}
}}
</div>


{{Mesh Tools navi{{#translation:}}}}
{{Mesh Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 14:15, 5 January 2023

Other languages:

Sezione da mesh e piano

Posizione nel menu
Mesh → Taglio → Sezione da mesh e piano
Ambiente
Mesh
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Sezioni

Descrizione

Il comando Sezione da mesh e piano crea una sezione trasversale attraverso un oggetto mesh. La sezione trasversale è una Part Feature.

Utilizzo

  1. Selezionare un singolo oggetto mesh e un singolo piano di Part. Il piano (esteso) deve intersecare l'oggetto mesh.
  2. Selezionare l'opzione Mesh → Taglio → Sezione da mesh e piano dal menu.

Proprietà

Vedere: Funzioni Part.

Scripting

See also: FreeCAD Scripting Basics.

To section a mesh use its section method. The method requires a second mesh object that need not be planar.

import FreeCAD as App
import Mesh
import Part

# Create a non-parametric box-shaped mesh:
msh = App.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = Mesh.createBox(30, 40, 50)
msh.ViewObject.DisplayMode = "Flat Lines"

# Create a planar mesh from 3 points:
p1 = App.Vector(-20, -60, 0)
p2 = App.Vector(65, 25, 0)
p3 = App.Vector(-20, 25, 0)
msh_plane = Mesh.Mesh([p1, p2, p3])

# Find the section loops (each loop is a list of points):
loops = msh.Mesh.section(msh_plane)

# Show the loop polygon:
Part.show(Part.makePolygon(loops[0]))